Package picard.analysis

## Class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector

- java.lang.Object
- - picard.analysis.AbstractWgsMetricsCollector<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset>
  - - picard.analysis.CollectWgsMetrics.WgsMetricsCollector
    - - picard.analysis.CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector

- Enclosing class:
    CollectWgsMetricsWithNonZeroCoverage

      protected class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector
      extends CollectWgsMetrics.WgsMetricsCollector

- - ### Field Summary

    - ### Fields inherited from class picard.analysis.AbstractWgsMetricsCollector

      `counter, coverageCap, highQualityDepthHistogramArray, intervals, unfilteredBaseQHistogramArray, unfilteredDepthHistogramArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WgsMetricsWithNonZeroCoverageCollector​(CollectWgsMetricsWithNonZeroCoverage metrics, int coverageCap, htsjdk.samtools.util.IntervalList intervals)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file, boolean includeBQHistogram, CountingFilter dupeFilter, CountingFilter adapterFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)` | Adds collected metrics and depth histogram to file
    `boolean` | `areHistogramsEmpty()` |
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getDepthHistogram()` |

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics.WgsMetricsCollector

      `addInfo`

    - ### Methods inherited from class picard.analysis.AbstractWgsMetricsCollector

      `addBaseQHistogram, getHighQualityDepthHistogram, getHistogram, getMetrics, getUnfilteredBaseQHistogram, getUnfilteredDepthHistogram, setCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WgsMetricsWithNonZeroCoverageCollector

          public WgsMetricsWithNonZeroCoverageCollector​(CollectWgsMetricsWithNonZeroCoverage metrics,
                                                        int coverageCap,
                                                        htsjdk.samtools.util.IntervalList intervals)

  - ### Method Detail

    - #### addToMetricsFile

          public void addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file,
                                       boolean includeBQHistogram,
                                       CountingFilter dupeFilter,
                                       CountingFilter adapterFilter,
                                       CountingFilter mapqFilter,
                                       CountingPairedFilter pairFilter)

      Description copied from class: `AbstractWgsMetricsCollector`
      Adds collected metrics and depth histogram to file
      Overrides:
        `addToMetricsFile` in class `AbstractWgsMetricsCollector<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset>`
      Parameters:
        `file` - MetricsFile for result of collector's work
        `dupeFilter` - counting filter for duplicate reads
        `adapterFilter` - counting filter for adapter reads
        `mapqFilter` - counting filter for mapping quality
        `pairFilter` - counting filter for reads without a mapped mate pair

    - #### getDepthHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getDepthHistogram()

    - #### areHistogramsEmpty

          public boolean areHistogramsEmpty()